Saltar al contenido principal
GET
/
files
/
2026-03
/
files
/
import-from-url
/
async
/
tasks
/
{taskId}
/
status
Check import status
curl --request GET \
  --url https://api.hubapi.com/files/2026-03/files/import-from-url/async/tasks/{taskId}/status \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "taskId": "<string>",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z",
  "result": {
    "archived": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "archivedAt": "2023-11-07T05:31:56Z",
    "defaultHostingUrl": "<string>",
    "encoding": "<string>",
    "expiresAt": 123,
    "extension": "<string>",
    "fileMd5": "<string>",
    "height": 123,
    "isUsableInContent": true,
    "name": "<string>",
    "parentFolderId": "<string>",
    "path": "<string>",
    "size": 123,
    "type": "<string>",
    "url": "<string>",
    "width": 123
  }
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

taskId
string
requerido

Respuesta

successful operation

completedAt
string<date-time>
requerido

Time of completion of task.

startedAt
string<date-time>
requerido

Timestamp of when the task was started.

status
enum<string>
requerido

Current status of the task.

Opciones disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
taskId
string
requerido

ID of the requested task.

errors
object[]

Descriptive error messages.

Link to check the status of the requested task.

numErrors
integer<int32>

Number of errors resulting from the task.

requestedAt
string<date-time>

Timestamp of when the task was requested.

result
object
Última modificación el 5 de junio de 2026